<div class="container-fluid">
  <div class="main-header" style="margin-top: 0px;">
    <div class="card card-new-ticket">
      <div class="card-header"><h5 class="card-header-text">Get a Quote</h5></div>
        <div class="card-block">
          <div id="wizard">
            <%= form_for :quote, url: quotes_path, html: {class: "wizard clearfix"} do |f| %>
              <fieldset id="example-advanced-form-p-0" role="tabpanel" aria-labelledby="  example-advanced-form-h-0" class="body current" aria-hidden="false">
                <%= f.error_messages %>

                <div class="form-group row">
                  <%= f.label :"name :", class: "col-xs-2 col-form-label form-control-label text-left"%>
                  <div class="col-sm-10">
                    <div class="md-input-wrapper">
                      <%= f.text_field :name, class: "md-form-control md-static", id: "example-text-input" %>
                      <span class="md-line"></span>
                    </div>
                  </div>
                </div>

                <div class="form-group row">
                  <%= f.label :"address :", class: "col-xs-2 col-form-label form-control-label text-left"%>
                  <div class="col-sm-10">
                    <div class="md-input-wrapper">
                      <%= f.text_field :address, class: "md-form-control md-static", id: "example-text-input" %>
                      <span class="md-line"></span>
                    </div>
                  </div>
                </div>

                <div class="form-group row">
                  <%= f.label :"city :", class: "col-xs-2 col-form-label form-control-label text-left" %>
                  <div class="col-sm-10">
                    <div class="md-input-wrapper">
                      <%= f.text_field :city, class: "md-form-control md-static", id: "example-text-input" %>
                      <span class="md-line"></span>
                    </div>
                  </div>
                </div>

                <div class="form-group row">
                  <%= f.label :"state :", class: "col-xs-2 col-form-label form-control-label text-left" %>
                  <div class="col-sm-4">
                    <div class="md-input-wrapper">
                      <%= f.text_field :state, class: "md-form-control md-static", id: "example-text-input" %>
                      <span class="md-line"></span>
                    </div>
                  </div>
                  <%= f.label :"zip code :", class: "col-xs-2 col-form-label form-control-label text-left" %>
                  <div class="col-sm-4">
                    <div class="md-input-wrapper">
                      <%= f.text_field :zip_code, class: "md-form-control md-static", id: "example-text-input" %>
                      <span class="md-line"></span>
                    </div>
                  </div>
                </div>

                <div class="form-group row">
                  <%= f.label :"phone No :", class: "col-xs-2 col-form-label form-control-label text-left" %>
                  <div class="col-sm-4">
                    <div class="md-input-wrapper">
                      <%= f.text_field :phone, class: "md-form-control md-static", id: "example-text-input" %>
                      <span class="md-line"></span>
                    </div>
                  </div>
                  <%= f.label :"email :", class: "col-xs-2 col-form-label form-control-label text-left" %>
                  <div class="col-sm-4">
                    <div class="md-input-wrapper">
                      <%= f.text_field :email, class: "md-form-control md-static", id: "example-text-input" %>
                      <span class="md-line"></span>
                    </div>
                  </div>
                </div>

                <div class="form-group row">
                  <%= f.label :"preferred contact method :", class: "col-xs-3 col-form-label form-control-label text-left" %>
                  <div class="form-radio col-sm-9">
                    <% %w(phone email).each do |v| %>
                    <div class="radio radiofill radio-inline">
                      <label>
                        <%= f.radio_button :preferred_method, v %>
                        <i class="helper"></i> <%= v.humanize %>
                      </label>
                    </div>
                    <% end %>
                  </div>
                </div>

                <div class="form-group row">
                  <%= f.label :description, class: "col-xs-2 col-form-label form-control-label" %>
                  <div class="col-sm-10">
                    <%= f.hidden_field :description, class: "form-control trix-editor" %>
                    <trix-editor input="quote_description" placeholder="Description" style="min-height: 150px;"></trix-editor>
                  </div>
                </div>

                <hr />

                <div class='products'>
                  <% (@quote.product || [{'type' => nil, 'quantity' => nil}]).each do |p| %>
                    <div class="card-block">
                      <div class="form-group row">
                        <%= label_tag 'quote_product_type', 'Type :', class: "col-xs-2 col-form-label form-control-label" %>
                        <div class="col-sm-4">
                          <%= select_tag('quote_product_type', options_for_select(Ticket::CATEGORIES, {:prompt => 'select', selected: p['type']}), {prompt: '- select -', :class => "form-control", id: "example-text-input", name: 'quote[product][][type]' }) %> 
                        </div>
                        <%= label_tag "quantity", 'Quantity :', class: "col-xs-2 col-form-label form-control-label text-right" %>
                        <div class="col-sm-4">
                          <%= text_field_tag 'quote_product_quantity', p['quantity'], class: "form-control md", id: "example-text-input", name: 'quote[product][][quantity]' %>
                        </div>
                      </div>
                    </div>
                  <% end %>
                </div>
                <div class='clearfix'>
                  <a class="add-more-products btn btn-primary waves-effect waves-light f-right d-inline-block md-trigger" style="color: #ffffff;">
                    <i class="icofont icofont-plus m-r-5"></i>ADD More
                  </a>
                </div>

                <div style="text-align: center;">
                  <%= f.submit "Submit", class: "btn btn-inverse-primary waves-effect waves-light" %>
                  <% if current_user.is_manager? %>
                  <%= link_to 'Cancel', manager_dashboard_path, class: "btn btn-inverse-primary waves-effect waves-light" %>
                  <% else %>
                  <%= link_to 'Cancel', root_path, class: "btn btn-inverse-primary waves-effect waves-light" %>
                  <% end %>
                </div>

              </fieldset>
            <% end %>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
